package com.goldenwater.yjjt.mapper;

import com.goldenwater.yjjt.domain.YjjtStation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface YjjtStationMapper {

    List<YjjtStation> selectYjjtStationList(YjjtStation yjjtStation);

    YjjtStation selectYjjtStationByPk(@Param("stcd") String stcd, @Param("year") String year);

    int insertYjjtStation(YjjtStation yjjtStation);

    int updateYjjtStation(YjjtStation yjjtStation);

    int deleteYjjtStationByPk(@Param("stcd") String stcd, @Param("year") String year);

    int deleteYjjtStationByPks(@Param("list") List<YjjtStation> list);
}
